/*

  Rain Detector Sensor (Analog)

  Parts required:
  - Arduino Board
  - Rain Detector Sensor (Analog)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 21 Dec 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int capture_A = A1;                                   // set capture_A as analog port A1
int capture_AValue = 0;                               // set capture_AValue variable to 0

void setup()
{
  pinMode(capture_A, INPUT);                          // set pinMode for Capture_D to INPUT
  Serial.begin(9600);                                 // start Serial Monitor
}

void loop()
{
  capture_AValue = analogRead(capture_A);             // read analog port capture_A and store variable in capture_AValue

  if (capture_AValue < 20) {                          // if capture_AValue < 20 do
    Serial.println("No Rain");                        // print to Serial Monitor 
  }

  if (capture_AValue > 21 && capture_AValue < 280) {  // if capture_AValue > 21 and < 280 do
    Serial.println("Moderate Rain");                  // print to Serial Monitor 
  }

  if (capture_AValue > 281 && capture_AValue < 300) { // if capture_AValue > 281 and < 300 do
    Serial.println("Heavy Rain");                     // print to Serial Monitor 
  }
  delay(500);                                         // wait 500ms
}
